Getting a KeepAwake error updating from SDK31 to 32


#1

Some users are reporting a red error undefined is not an object (evaluating '_expo2.default.KeepAwake') after updating from SDK 31 to 32, despite not using KeepAwake.


#2

h/t @notbrent : this seems to be happening for folks who initialized with crna originally. The solution should be to change to use the Expo AppEntry rather than the crna one.

“main”: “node_modules/expo/AppEntry.js”,
“scripts”: {
“start”: “expo start”,
“android”: “expo start --android”,
“ios”: “expo start --ios”,
“eject”: “expo eject”
},Preformatted text


#3

Thank you. Issue solved.